API referenceCampaigns

List campaigns

GET/campaigns

Newest first; filter by status.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "draft"
  • "scheduled"
  • "sending"
  • "sent"
  • "canceled"
  • "paused"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/campaigns"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "campaign",      "id": "string",      "name": "string",      "status": "draft",      "from": "string",      "reply_to": [        "string"      ],      "subject": "string",      "preheader": "string",      "template_id": "string",      "template_version_id": "string",      "html": "string",      "text": "string",      "list_ids": [        "string"      ],      "segment_id": "string",      "preference_list_id": "string",      "scheduled_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "last_error": "string",      "stats": {        "recipients": 0,        "sent": 0,        "delivered": 0,        "opened": 0,        "clicked": 0,        "bounced": 0,        "complained": 0,        "unsubscribed": 0,        "failed": 0,        "skipped": 0      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}